Last Comment Bug 741066 - browserPlacesViews.js: 2 "function ... does not always return a value"
: browserPlacesViews.js: 2 "function ... does not always return a value"
Status: VERIFIED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 528884 741062
  Show dependency treegraph
 
Reported: 2012-03-31 03:43 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-04-03 07:31 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
wontfix
wontfix


Attachments
(Av1) browserPlacesViews.js: Fix 2 "function ... does not always return a value" [Checked in: Comment 4] (1.53 KB, patch)
2012-04-02 09:09 PDT, Serge Gautherie (:sgautherie)
mak77: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-03-31 03:43:21 PDT
http://mxr.mozilla.org/comm-central/source/mozilla/browser/components/places/content/browserPlacesViews.js#52
{
57       return;
80     return val;
}
Should it always return val?


http://mxr.mozilla.org/comm-central/source/mozilla/browser/components/places/content/browserPlacesViews.js#1669
{
1674       return;
1681     return PlacesViewBase.prototype._onPopupShowing.apply(this, arguments);
}
Should it always return no value?
Comment 1 Serge Gautherie (:sgautherie) 2012-04-01 11:15:37 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10551807&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central debug test mochitests-3/5 on 2012-04-01 09:57:28 PDT for push dd21f16d11da
{
JavaScript strict warning: chrome://browser/content/places/browserPlacesViews.js, line 80: anonymous function does not always return a value

JavaScript strict warning: chrome://browser/content/places/browserPlacesViews.js, line 1668: function PT__onPopupShowing does not always return a value
}
Comment 2 Marco Bonardo [::mak] 2012-04-02 08:05:05 PDT
the former is a setter, it should always return val.
the latter should not return, just invoke the base method.
Comment 3 Serge Gautherie (:sgautherie) 2012-04-02 09:09:54 PDT
Created attachment 611478 [details] [diff] [review]
(Av1) browserPlacesViews.js: Fix 2 "function ... does not always return a value"
[Checked in: Comment 4]
Comment 4 Serge Gautherie (:sgautherie) 2012-04-03 06:50:17 PDT
Comment on attachment 611478 [details] [diff] [review]
(Av1) browserPlacesViews.js: Fix 2 "function ... does not always return a value"
[Checked in: Comment 4]

https://hg.mozilla.org/mozilla-central/rev/5128e92c536c
Comment 5 Serge Gautherie (:sgautherie) 2012-04-03 07:31:20 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10599229&tree=Firefox&full=1
Rev3 Fedora 12x64 mozilla-central debug test mochitests-5/5 on 2012-04-03 07:16:33 PDT for push 5128e92c536c

V.Fixed.

Note You need to log in before you can comment on or make changes to this bug.